Bug 1341675 - Some email notifications show both plain text and HTML forms
Summary: Some email notifications show both plain text and HTML forms
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Bugzilla
Classification: Community
Component: Email Notifications
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 13:18 UTC by Miloslav Trmač
Modified: 2019-03-24 23:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-24 23:22:27 UTC


Attachments (Terms of Use)

Description Miloslav Trmač 2016-06-01 13:18:49 UTC
Created attachment 1163651 [details]
Example email

Description of problem:
Starting today, I have noticed _some_ email notifications to contain both a plain text and HTML table.

Version-Release number of selected component (if applicable):
Whatever was running on bugweb-03.app.bz.hst.phx2.redhat.com as of Wed, 1 Jun 2016 02:14:09 -0400

How reproducible:
Sometimes? Or it depends on the kind of email.

It seems that the mail is sent as multipart/mixed instead of multipart/alternative.

Comment 1 Jeff Fearn 🐞 2016-09-28 12:20:45 UTC
All HTML email contain HTML and Text MIME parts, perhaps the email is being munged in someway that is corrupting the MIME parts and exposing both at the same time.

Comment 2 Jeff Fearn 🐞 2019-03-22 00:48:13 UTC
The odd thing in the mail is the content type is "multipart/mixed" but it should be 'multipart/alternative', the extra weird part is no place in the code sets "multipart/mixed" ...

If I load that mail in thunderbird as is, I get both parts displayed. If I change the content type to 'multipart/alternative' and load it in TB I only see the text or html as per the view message as setting.

Are you still seeing this after the BZ5 upgrade?

Comment 3 Miloslav Trmač 2019-03-22 22:54:53 UTC
I haven’t found any instance of this problem in the last 30 days of bug mail (I’m afraid I delete most of it, and I am getting notably less bugzilla e-mail than I used to), so it might have been fixed.

If you have no other reports of this behavior, feel free to close the report.

Comment 4 Jeff Fearn 🐞 2019-03-24 23:22:27 UTC
If we get more recent examples of this we can pursue it.


Note You need to log in before you can comment on or make changes to this bug.